<?php
declare(strict_types=1);

namespace App\DTO\Api;

/** TODO: Refactor to public readonly */
class Post implements ValidableInterface
{
    private ?string $id;
    /** @var string[]|null */
    private ?array $tags;
    /** @var string[]|null */
    private ?array $files;
    private ?User $author;
    private ?string $text;
    private ?string $created;
    private ?string $type;
    private ?bool $private;

    public function getId(): ?string
    {
        return $this->id;
    }

    public function setId(?string $id): void
    {
        $this->id = $id;
    }

    /** @return string[]|null */
    public function getTags(): ?array
    {
        return $this->tags;
    }

    public function setTags(?array $tags): void
    {
        $this->tags = $tags;
    }

    /** @return string[]|null */
    public function getFiles(): ?array
    {
        return $this->files;
    }

    /**
     * @param string[]|null $files
     */
    public function setFiles(?array $files): void
    {
        $this->files = $files;
    }

    public function getAuthor(): ?User
    {
        return $this->author;
    }

    public function setAuthor(?User $author): void
    {
        $this->author = $author;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    public function setText(?string $text): void
    {
        $this->text = $text;
    }

    public function getCreated(): ?string
    {
        return $this->created;
    }

    public function setCreated(?string $created): void
    {
        $this->created = $created;
    }

    public function getType(): ?string
    {
        return $this->type;
    }

    public function setType(?string $type): void
    {
        $this->type = $type;
    }

    public function getPrivate(): ?bool
    {
        return $this->private;
    }

    public function isPrivate(): ?bool
    {
        return $this->private;
    }

    public function setPrivate(?bool $private): void
    {
        $this->private = $private;
    }

    public function isValid(): bool
    {
        return null !== $this->id &&
            null !== $this->author &&
            $this->author->isValid() &&
            null !== $this->text &&
            null !== $this->created
            // @todo check type existence in incoming data
            //null !== $this->type
        ;
    }
}